## merkuro 25.08.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(merkuro VERSION ${RELEASE_SERVICE_VERSION})

set(QT_REQUIRED_VERSION "6.8.0")
set(KF_MIN_VERSION "6.14.0")

set(AKONADI_CONTACT_VERSION "6.5.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
set(MAILTRANSPORT_LIB_VERSION "6.5.3")
set(CALENDARUTILS_LIB_VERSION "6.5.3")
set(AKONADICALENDAR_LIB_VERSION "6.5.3")
set(AKONADISEARCH_LIB_VERSION "6.5.3")
set(KMIME_LIB_VERSION "6.5.3")
set(AKONADI_LIB_VERSION "6.5.3")
set(MIMETREEPARSER_LIB_VERSION "6.5.3")
set(MAILCOMMON_LIB_VERSION "6.5.3")
set(AKONADIMIME_LIB_VERSION "6.5.3")
set(AKONADICONTACT_LIB_VERSION "6.5.3")
set(KMIME_LIB_VERSION "6.5.3")
set(MESSAGECOMPOSER_LIB_VERSION "6.5.3")
set(KMBOX_LIB_VERSION "6.5.3")
set(LIBKDEPIM_LIB_VERSION "6.5.3")
set(PIMCOMMON_LIB_VERSION "6.5.3")
set(KPIM_LIBKLEO_VERSION "6.5.3")


################# set KDE specific information #################
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)
include(KDEClangFormat)

include(ECMAddTests)
include(ECMCoverageOption)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)
include(ECMPoQmTools)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMGenerateQmlTypes)
include(ECMQmlModule)
include(ECMInstallIcons)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX MERKURO
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/config-merkuro.h"
)

################# Find dependencies #################
find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Svg
    Test
    Qml
    QuickControls2
    QuickTest
    Location
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CalendarCore
    ConfigWidgets
    Contacts
    CoreAddons
    DBusAddons
    I18n
    IconThemes
    ItemModels
    Kirigami
    KIO
    QQC2DesktopStyle
    WindowSystem
    XmlGui
    Notifications
    Crash
)
find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
set_package_properties(KF6QQC2DesktopStyle PROPERTIES
    TYPE RUNTIME
)

find_package(KPim6Libkleo ${KPIM_LIBKLEO_VERSION} CONFIG)
set_package_properties(KPim6Libkleo PROPERTIES
    DESCRIPTION "LibKleo Library"
    URL "https://invent.kde.org/pim/libkleo/"
    TYPE REQUIRED
)

find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG)
set_package_properties(Gpgmepp PROPERTIES
    DESCRIPTION "GpgME++ Library"
    URL "https://www.gnupg.org"
    TYPE REQUIRED
    PURPOSE "GpgME++ is required for OpenPGP support"
)

find_package(KPim6MessageComposer ${MESSAGECOMPOSER_LIB_VERSION} REQUIRED)
find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} REQUIRED)
find_package(KPim6AkonadiContactCore ${AKONADI_CONTACT_VERSION} REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} REQUIRED)
find_package(KPim6AkonadiSearch ${AKONADISEARCH_LIB_VERSION} REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} REQUIRED)
find_package(KPim6IdentityManagementQuick ${IDENTITYMANAGEMENT_LIB_VERSION} REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} REQUIRED)
find_package(KPim6MailTransport ${MAILTRANSPORT_LIB_VERSION} REQUIRED)
find_package(KPim6MimeTreeParserCore ${MIMETREEPARSER_LIB_VERSION} REQUIRED)
find_package(KPim6Mbox ${KMBOX_LIB_VERSION} REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays REQUIRED)

# qt_policy(SET QTP0004 NEW)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DUNITY_CMAKE_SUPPORT)
endif()

################# build and install #################

ki18n_install(po)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
add_definitions(-DQT_STRICT_ITERATORS)
add_subdirectory(src)
add_subdirectory(icons)

ecm_qt_install_logging_categories(
    EXPORT MERKURO
    FILE merkuro.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/calendar/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

set(merkuro_calendar_SRCS
    remindersmodel.h
    remindersmodel.cpp
    utils.h
    utils.cpp

    datetimestate.h
    datetimestate.cpp

    calendarmanager.cpp
    calendarmanager.h
    calendarapplication.cpp
    calendarapplication.h
    filter.cpp
    filter.h
    incidencewrapper.cpp
    incidencewrapper.h
    mousetracker.cpp
    mousetracker.h
    importer.h
    importer.cpp

    models/attachmentsmodel.cpp
    models/attachmentsmodel.h
    models/attendeesmodel.cpp
    models/attendeesmodel.h
    models/hourlyincidencemodel.cpp
    models/hourlyincidencemodel.h
    models/holidaymodel.h
    models/holidaymodel.cpp
    models/holidayregionmodel.cpp
    models/holidayregionmodel.h
    models/incidenceoccurrencemodel.cpp
    models/incidenceoccurrencemodel.h
    models/infinitemerkurocalendarviewmodel.cpp
    models/infinitemerkurocalendarviewmodel.h
    models/itemtagsmodel.cpp
    models/itemtagsmodel.h
    models/monthmodel.cpp
    models/monthmodel.h
    models/multidayincidencemodel.cpp
    models/multidayincidencemodel.h
    models/recurrenceexceptionsmodel.cpp
    models/recurrenceexceptionsmodel.h
    models/timezonelistmodel.cpp
    models/timezonelistmodel.h
    models/todosortfilterproxymodel.cpp
    models/todosortfilterproxymodel.h

    foreigntypes.h
)

ecm_qt_declare_logging_category(merkuro_calendar_SRCS
    HEADER merkuro_calendar_debug.h
    IDENTIFIER "MERKURO_CALENDAR_LOG"
    CATEGORY_NAME org.kde.merkuro.calendar
    DESCRIPTION "merkuro calendar"
    EXPORT MERKURO
)

qt_add_dbus_adaptor(merkuro_calendar_SRCS org.kde.calendar.Calendar.xml calendarapplication.h CalendarApplication)

add_library(merkuro_calendar_static STATIC ${merkuro_calendar_SRCS})
kconfig_add_kcfg_files(merkuro_calendar_static GENERATE_MOC calendarconfig.kcfgc)
set_target_properties(merkuro_calendar_static PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(merkuro_calendar_static PUBLIC
    Qt::DBus
    KF6::WindowSystem
    KF6::Contacts
    KF6::Crash
    KF6::Holidays
    KPim6::AkonadiCalendar
    KPim6::AkonadiContactCore
    KPim6::AkonadiWidgets
    KPim6::CalendarUtils
    MerkuroComponents
    PRIVATE KF6::I18nQml
)

set_source_files_properties(qml/Controls/DatePopupSingleton.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

set_source_files_properties(qml/CalendarUtils/CalendarUiUtils.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

set_source_files_properties(qml/IncidenceEditorManager.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

ecm_add_qml_module(merkuro_calendar_static GENERATE_PLUGIN_SOURCE
    URI "org.kde.merkuro.calendar"
    DEPENDENCIES
        QtLocation
        org.kde.merkuro.components
        org.kde.akonadi
        QtCore
        QtGui
    QML_FILES
        qml/incidenceeditor/ReminderDelegate.qml
        qml/incidenceeditor/PriorityComboBox.qml
        qml/BottomToolBar.qml
        qml/Menus/MenuBar.qml
        qml/Controls/DatePopupSingleton.qml
        qml/Main.qml

        qml/Menus/GlobalMenuBar.qml
        qml/Drawers/MainDrawer.qml
        qml/Drawers/IncidenceInfoDrawer.qml

        qml/Bars/FilterHeaderBar.qml
        qml/Bars/DayLabelsBar.qml

        qml/Delegates/IncidenceDelegateBackground.qml
        qml/Delegates/DayGridViewIncidenceDelegate.qml
        qml/Delegates/ViewTitleDelegate.qml
        qml/Delegates/RelatedIncidenceDelegate.qml

        qml/MainViews/DayGridViewBackground.qml
        qml/MainViews/DayGridViewForeground.qml
        qml/MainViews/DayGridView.qml
        qml/MainViews/SwipeableMonthGridView.qml
        qml/MainViews/MonthView.qml
        qml/MainViews/SwipeableMonthListView.qml
        qml/MainViews/BasicMonthListView.qml
        qml/MainViews/ScheduleView.qml
        qml/MainViews/TodoTreeView.qml
        qml/MainViews/TodoView.qml
        qml/MainViews/SwipeableInternalHourlyView.qml
        qml/MainViews/BasicInternalHourlyView.qml
        qml/MainViews/WeekViewHolidayRow.qml
        qml/MainViews/HourlyView.qml

        qml/CalendarUtils/DateUtils.js
        qml/CalendarUtils/LabelUtils.js
        qml/CalendarUtils/CalendarUiUtils.qml

        qml/IncidenceEditorManager.qml
        qml/Dialogs/IncidenceEditorPage.qml
        qml/Dialogs/IncidenceEditorDialog.qml
        qml/Dialogs/DeleteIncidenceDialog.qml
        qml/Dialogs/DeleteCalendarDialog.qml
        qml/Dialogs/CollectionPickerPage.qml
        qml/Dialogs/RecurringIncidenceChangePage.qml
        qml/Dialogs/EditCalendarPage.qml

        qml/Controls/DateControls/TimePicker.qml
        qml/Controls/DateControls/TimeCombo.qml
        qml/Controls/DateControls/DateCombo.qml

        qml/Controls/TitleDateButton.qml
        qml/Controls/IncidenceMouseArea.qml
        qml/Controls/KBMNavigationMouseArea.qml
        qml/Controls/DayTapHandler.qml
        qml/Controls/ColoredCheckbox.qml
        qml/Controls/Tag.qml
        qml/Controls/ResizerSeparator.qml
        qml/Controls/CalendarItemTapHandler.qml
        qml/Controls/TodoCheckBox.qml
        qml/Controls/IncidenceInfoContents.qml
        qml/Controls/IncidenceInfoPopup.qml
        qml/Controls/CheckableCollectionNavigationView.qml
        qml/Controls/MainDrawerToggleButton.qml
        qml/Controls/ImportHandler.qml

        qml/Location/LocationMap.qml

        qml/Settings/ConfigurationsView.qml
        qml/Settings/FreeBusySettingsPage.qml
        qml/Settings/ViewSettingsPage.qml
        qml/Settings/SourceSettingsPage.qml

        qml/Menus/CalendarItemMenu.qml
)

target_include_directories(merkuro_calendar_static PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/models)

set_source_files_properties(models/todosortfilterproxymodel.cpp PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

#### Binary

add_executable(merkuro-calendar
    main.cpp
)
target_link_libraries(merkuro-calendar
    PRIVATE
        merkuro_calendar_staticplugin
        merkuro_calendar_static
        Qt::Widgets
        Qt::Quick
        Qt::QuickControls2
        KF6::I18n
        KF6::CoreAddons
        KF6::DBusAddons
        KF6::WindowSystem
        KF6::IconThemes
        KF6::ConfigWidgets
        KF6::ConfigGui
)

install(TARGETS merkuro-calendar ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.merkuro.calendar.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.merkuro.calendar.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/components/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

# target: shared C++ library

set(merkuro_components_SRCS)

ecm_qt_declare_logging_category(merkuro_components_SRCS
    HEADER merkuro_components_debug.h
    IDENTIFIER "merkuro_components_LOG"
    CATEGORY_NAME org.kde.merkuro.components
    DESCRIPTION "merkuro components"
    EXPORT merkuro
)

add_library(MerkuroComponents SHARED
    abstractmerkuroapplication.cpp
    abstractmerkuroapplication.h
    colorproxymodel.cpp
    colorproxymodel.h
    sortedcollectionproxymodel.cpp
    sortedcollectionproxymodel.h
    utils.cpp
    utils.h
    ${merkuro_components_SRCS}
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX MERKUROCOMPONENTS
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/MerkuroComponentsConfigVersion.cmake"
    SOVERSION 6
)

ecm_generate_export_header(MerkuroComponents
    VERSION ${PROJECT_VERSION}
    BASE_NAME MerkuroComponents
    DEPRECATION_VERSIONS
)

set_target_properties(MerkuroComponents PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "MerkuroComponents"
)

target_link_libraries(MerkuroComponents PUBLIC
    KirigamiAddonsStatefulApp
    KF6::I18n
    KF6::CalendarCore
    KF6::Contacts
    KPim6::AkonadiCore
)

target_include_directories(MerkuroComponents
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/MerkuroComponents>"
)

# target: shared QML library

ecm_add_qml_module(MerkuroComponents
    URI "org.kde.merkuro.components"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES org.kde.kirigamiaddons.statefulapp
)

target_sources(MerkuroComponents PRIVATE
    etmtreeviewstatesaver.cpp
    etmtreeviewstatesaver.h
)

ecm_target_qml_sources(MerkuroComponents SOURCES
    QML_FILES
        # Shell components
        qml/BaseApplication.qml

        # In window-menu components
        qml/EditMenu.qml
        qml/FileMenu.qml
        qml/WindowMenu.qml
        qml/HelpMenu.qml
        qml/SettingsMenu.qml

        # global menu components
        qml/NativeFileMenu.qml
        qml/NativeEditMenu.qml
        qml/NativeHelpMenu.qml
        qml/NativeWindowMenu.qml

        # Small controls
        qml/ColoredCheckbox.qml
)

ecm_finalize_qml_module(MerkuroComponents
    DESTINATION ${KDE_INSTALL_QMLDIR}
    BUILD_SHARED_LIBS OFF
)

# Install

install(TARGETS MerkuroComponents EXPORT MerkuroComponents ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/mail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(settings)

set(merkuro_mail_SRCS
    abstractmailmodel.cpp
    abstractmailmodel.h
    collectionutils.cpp
    collectionutils.h
    mailactions.cpp
    mailactions.h
    mailapplication.cpp
    mailapplication.h
    mailmanager.cpp
    mailmanager.h
    mailmodel.cpp
    mailmodel.h
    searchmodel.h
    searchmodel.cpp
    contactimageprovider.cpp
    contactimageprovider.h
    progressmodel.cpp
    progressmodel.h

    messageloader.h
    messageloader.cpp

    mailkernel.h
    mailkernel.cpp

    mailheadermodel.h
    mailheadermodel.cpp

    mailclient.h
    mailclient.cpp

    identity/identitycryptographybackend.h
    identity/identitycryptographybackend.cpp
    identity/identitycryptographyeditorbackendfactory.h
    identity/identitycryptographyeditorbackendfactory.cpp
    identity/identitykeylistmodel.h
    identity/identitykeylistmodel.cpp

    messagehandler.cpp
    messagehandler.h
)

ecm_qt_declare_logging_category(merkuro_mail_SRCS
    HEADER merkuro_mail_debug.h
    IDENTIFIER "MERKURO_MAIL_LOG"
    CATEGORY_NAME org.kde.merkuro.mail
    DESCRIPTION "merkuro mail"
    EXPORT merkuro
)

add_library(merkuro_mail_static STATIC ${merkuro_mail_SRCS})
target_include_directories(merkuro_mail_static PUBLIC identity)
kconfig_add_kcfg_files(merkuro_mail_static GENERATE_MOC mailconfig.kcfgc)
set_target_properties(merkuro_mail_static PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(merkuro_mail_static
    PUBLIC
        KPim6::MessageComposer
        KPim6::MailCommon
        KPim6::MailTransport
        KPim6::AkonadiMime
        KPim6::AkonadiSearchPIM
        KPim6::IdentityManagementQuick
        KPim6::Mbox
        KPim6::Mime
        KPim6::Libkdepim
        KPim6::PimCommonAkonadi
        KPim6::MimeTreeParserCore
        KF6::XmlGui
        KF6::Codecs
        KF6::XmlGui
        KF6::Crash
        KF6::IconThemes
        KF6::Notifications
        MerkuroComponents
)

ecm_add_qml_module(merkuro_mail_static
    URI "org.kde.merkuro.mail"
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        QtQuick
        org.kde.kirigamiaddons.formcard
        org.kde.kirigamiaddons.delegates
        org.kde.kirigamiaddons.statefulapp
        org.kde.akonadi
)

ecm_target_qml_sources(merkuro_mail_static SOURCES
    qml/app/Main.qml
    qml/app/MenuBar.qml
    qml/desktopactions/OpenMbox.qml

    qml/MailSidebar.qml
    qml/FolderView.qml
    qml/MailComposer.qml
    qml/ConversationViewer.qml
    qml/ProgressStatusBar.qml
)
ecm_target_qml_sources(merkuro_mail_static
    PRIVATE PATH private SOURCES
    qml/private/AttachmentDelegate.qml
    qml/private/MailDelegate.qml
)

ecm_target_qml_sources(merkuro_mail_static
    PRIVATE PATH actions SOURCES
    qml/actions/NewFolderAction.qml
    qml/actions/DeleteFolderAction.qml
    qml/actions/DeleteMailAction.qml
    qml/actions/MailItemMenu.qml
)

ecm_target_qml_sources(merkuro_mail_static
    PRIVATE PATH mailboxselector SOURCES
    qml/mailboxselector/MailBoxList.qml
    qml/mailboxselector/MailBoxListPage.qml
)

ecm_target_qml_sources(merkuro_mail_static
    PRIVATE PATH mailpartview SOURCES
    qml/mailpartview/ICalPart.qml
)

#### Binary

add_executable(merkuro-mail
    main.cpp
)

target_link_libraries(merkuro-mail
    PRIVATE
        Qt::Widgets
        Qt::Quick
        Qt::QuickControls2
        KF6::CoreAddons
        KF6::DBusAddons
        KF6::WindowSystem
        KF6::ConfigGui
        mail_settingsplugin
        merkuro_mail_staticplugin
        merkuro_mail_static
)
target_link_libraries(merkuro-mail PRIVATE
        KF6::I18nQml
)
install(TARGETS merkuro-mail ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.merkuro.mail.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.merkuro.mail.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES merkuro.mail.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== debian/changelog ===
merkuro (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:29:16 +0000

=== debian/control ===
Source: merkuro
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               kirigami-addons-dev (>= 1.4.0~),
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicalendar-dev (>= 4:25.08.3~),
               libakonadicontact-dev (>= 4:25.08.3~),
               libakonadimime-dev (>= 4:25.08.3~),
               libakonadisearch-dev (>= 4:25.08.3~),
               libgpgme-dev,
               libgpgmepp-dev,
               libkcalendarutils-dev (>= 4:25.08.3~),
               libkdepim-dev (>= 4:25.08.3~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6qqc2desktopstyle-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkirigami-dev (>= 6.6.0~),
               libkleo-dev (>= 4:25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libkmbox-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libmailcommon-dev (>= 4:25.08.3~),
               libmimetreeparser-dev (>= 25.08.3~),
               libpimcommon-dev (>= 4:25.08.3~),
               libplasma-dev,
               messagelib-dev (>= 4:25.08.3~),
               qml6-module-qtlocation,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-location-dev,
               qt6-svg-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/merkuro
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Rules-Requires-Root: no

Package: merkuro
Architecture: amd64 arm64 armhf i386
Depends: akonadi-server,
         kdepim-runtime,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: kalendarac,
Description: Application suite for emails, calendars, contacts and tasks
 Merkuro is a application suite designed to make handling your emails,
 calendars, contacts, and tasks simple. Merkuro handles local and remote
 accounts of your choice, keeping changes synchronised across your
 Plasma desktop or phone.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# do not ship development stuff
	find debian/merkuro -name '*.so' -type l -delete

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

## merkuro 25.08.3+p24.04+vunstable+git20251204.0323

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,34 +5,34 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(merkuro VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_REQUIRED_VERSION "6.8.0")
-set(KF_MIN_VERSION "6.14.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.19.0")
 
-set(AKONADI_CONTACT_VERSION "6.5.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
-set(MAILTRANSPORT_LIB_VERSION "6.5.3")
-set(CALENDARUTILS_LIB_VERSION "6.5.3")
-set(AKONADICALENDAR_LIB_VERSION "6.5.3")
-set(AKONADISEARCH_LIB_VERSION "6.5.3")
-set(KMIME_LIB_VERSION "6.5.3")
-set(AKONADI_LIB_VERSION "6.5.3")
-set(MIMETREEPARSER_LIB_VERSION "6.5.3")
-set(MAILCOMMON_LIB_VERSION "6.5.3")
-set(AKONADIMIME_LIB_VERSION "6.5.3")
-set(AKONADICONTACT_LIB_VERSION "6.5.3")
-set(KMIME_LIB_VERSION "6.5.3")
-set(MESSAGECOMPOSER_LIB_VERSION "6.5.3")
-set(KMBOX_LIB_VERSION "6.5.3")
-set(LIBKDEPIM_LIB_VERSION "6.5.3")
-set(PIMCOMMON_LIB_VERSION "6.5.3")
-set(KPIM_LIBKLEO_VERSION "6.5.3")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(MAILTRANSPORT_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(AKONADISEARCH_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(AKONADI_LIB_VERSION "6.6.40")
+set(MIMETREEPARSER_LIB_VERSION "6.6.40")
+set(MAILCOMMON_LIB_VERSION "6.6.40")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(AKONADICONTACT_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(MESSAGECOMPOSER_LIB_VERSION "6.6.40")
+set(KMBOX_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(KPIM_LIBKLEO_VERSION "6.6.40")
 
 
 ################# set KDE specific information #################
@@ -45,8 +45,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
 )
 
-set(CMAKE_CXX_STANDARD 20)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -142,7 +141,7 @@
 find_package(KPim6Mime ${KMIME_LIB_VERSION} REQUIRED)
 find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
 find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF6Holidays REQUIRED)
+find_package(KF6Holidays ${KF_MIN_VERSION} REQUIRED)
 
 # qt_policy(SET QTP0004 NEW)
 
@@ -159,7 +158,7 @@
 ki18n_install(po)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 add_definitions(-DQT_STRICT_ITERATORS)
 add_subdirectory(src)
 add_subdirectory(icons)

=== debian/changelog ===
merkuro (25.08.3+p24.04+vunstable+git20251204.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:23:39 +0000

merkuro (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:59 +1000

## merkuro 25.08.3+p24.04+vunstable+git20251206.1011

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 project(merkuro VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_REQUIRED_VERSION "6.9.0")
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 
 set(AKONADI_CONTACT_VERSION "6.6.40")
 set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")

=== debian/changelog ===
merkuro (25.08.3+p24.04+vunstable+git20251206.1011-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 10:11:57 +0000

## merkuro 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,34 +5,34 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(merkuro VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_REQUIRED_VERSION "6.9.0")
-set(KF_MIN_VERSION "6.20.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.18.0")
 
-set(AKONADI_CONTACT_VERSION "6.6.40")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
-set(MAILTRANSPORT_LIB_VERSION "6.6.40")
-set(CALENDARUTILS_LIB_VERSION "6.6.40")
-set(AKONADICALENDAR_LIB_VERSION "6.6.40")
-set(AKONADISEARCH_LIB_VERSION "6.6.40")
-set(KMIME_LIB_VERSION "6.6.40")
-set(AKONADI_LIB_VERSION "6.6.40")
-set(MIMETREEPARSER_LIB_VERSION "6.6.40")
-set(MAILCOMMON_LIB_VERSION "6.6.40")
-set(AKONADIMIME_LIB_VERSION "6.6.40")
-set(AKONADICONTACT_LIB_VERSION "6.6.40")
-set(KMIME_LIB_VERSION "6.6.40")
-set(MESSAGECOMPOSER_LIB_VERSION "6.6.40")
-set(KMBOX_LIB_VERSION "6.6.40")
-set(LIBKDEPIM_LIB_VERSION "6.6.40")
-set(PIMCOMMON_LIB_VERSION "6.6.40")
-set(KPIM_LIBKLEO_VERSION "6.6.40")
+set(AKONADI_CONTACT_VERSION "6.5.80")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
+set(MAILTRANSPORT_LIB_VERSION "6.5.80")
+set(CALENDARUTILS_LIB_VERSION "6.5.80")
+set(AKONADICALENDAR_LIB_VERSION "6.5.80")
+set(AKONADISEARCH_LIB_VERSION "6.5.80")
+set(KMIME_LIB_VERSION "6.5.80")
+set(AKONADI_LIB_VERSION "6.5.80")
+set(MIMETREEPARSER_LIB_VERSION "6.5.80")
+set(MAILCOMMON_LIB_VERSION "6.5.80")
+set(AKONADIMIME_LIB_VERSION "6.5.80")
+set(AKONADICONTACT_LIB_VERSION "6.5.80")
+set(KMIME_LIB_VERSION "6.5.80")
+set(MESSAGECOMPOSER_LIB_VERSION "6.5.80")
+set(KMBOX_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(KPIM_LIBKLEO_VERSION "6.5.80")
 
 
 ################# set KDE specific information #################
@@ -45,7 +45,9 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
 )
 
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)

=== src/components/CMakeLists.txt ===
--- 
+++ 
@@ -65,11 +65,6 @@
     DEPENDENCIES org.kde.kirigamiaddons.statefulapp
 )
 
-target_sources(MerkuroComponents PRIVATE
-    etmtreeviewstatesaver.cpp
-    etmtreeviewstatesaver.h
-)
-
 ecm_target_qml_sources(MerkuroComponents SOURCES
     QML_FILES
         # Shell components

=== debian/changelog ===
merkuro (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:02:54 +0000

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:25.08.3~),
-               libakonadicalendar-dev (>= 4:25.08.3~),
-               libakonadicontact-dev (>= 4:25.08.3~),
-               libakonadimime-dev (>= 4:25.08.3~),
-               libakonadisearch-dev (>= 4:25.08.3~),
+               libakonadi-dev (>= 4:25.11.80~),
+               libakonadicalendar-dev (>= 4:25.11.80~),
+               libakonadicontact-dev (>= 4:25.11.80~),
+               libakonadimime-dev (>= 4:25.11.80~),
+               libakonadisearch-dev (>= 4:25.11.80~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:25.08.3~),
-               libkdepim-dev (>= 4:25.08.3~),
+               libkcalendarutils-dev (>= 4:25.11.80~),
+               libkdepim-dev (>= 4:25.11.80~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -35,17 +35,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.3~),
+               libkidentitymanagement-dev (>= 25.11.80~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.08.3~),
-               libkmailtransport-dev (>= 25.08.3~),
-               libkmbox-dev (>= 25.08.3~),
-               libkmime-dev (>= 25.08.3~),
-               libmailcommon-dev (>= 4:25.08.3~),
-               libmimetreeparser-dev (>= 25.08.3~),
-               libpimcommon-dev (>= 4:25.08.3~),
+               libkleo-dev (>= 4:25.11.80~),
+               libkmailtransport-dev (>= 25.11.80~),
+               libkmbox-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.80~),
+               libmailcommon-dev (>= 4:25.11.80~),
+               libmimetreeparser-dev (>= 25.11.80~),
+               libpimcommon-dev (>= 4:25.11.80~),
                libplasma-dev,
-               messagelib-dev (>= 4:25.08.3~),
+               messagelib-dev (>= 4:25.11.80~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),

## merkuro 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(merkuro VERSION ${RELEASE_SERVICE_VERSION})
@@ -15,24 +15,24 @@
 set(QT_REQUIRED_VERSION "6.8.0")
 set(KF_MIN_VERSION "6.18.0")
 
-set(AKONADI_CONTACT_VERSION "6.5.80")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
-set(MAILTRANSPORT_LIB_VERSION "6.5.80")
-set(CALENDARUTILS_LIB_VERSION "6.5.80")
-set(AKONADICALENDAR_LIB_VERSION "6.5.80")
-set(AKONADISEARCH_LIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
-set(AKONADI_LIB_VERSION "6.5.80")
-set(MIMETREEPARSER_LIB_VERSION "6.5.80")
-set(MAILCOMMON_LIB_VERSION "6.5.80")
-set(AKONADIMIME_LIB_VERSION "6.5.80")
-set(AKONADICONTACT_LIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
-set(MESSAGECOMPOSER_LIB_VERSION "6.5.80")
-set(KMBOX_LIB_VERSION "6.5.80")
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
-set(KPIM_LIBKLEO_VERSION "6.5.80")
+set(AKONADI_CONTACT_VERSION "6.5.90")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
+set(MAILTRANSPORT_LIB_VERSION "6.5.90")
+set(CALENDARUTILS_LIB_VERSION "6.5.90")
+set(AKONADICALENDAR_LIB_VERSION "6.5.90")
+set(AKONADISEARCH_LIB_VERSION "6.5.90")
+set(KMIME_LIB_VERSION "6.5.90")
+set(AKONADI_LIB_VERSION "6.5.90")
+set(MIMETREEPARSER_LIB_VERSION "6.5.90")
+set(MAILCOMMON_LIB_VERSION "6.5.90")
+set(AKONADIMIME_LIB_VERSION "6.5.90")
+set(AKONADICONTACT_LIB_VERSION "6.5.90")
+set(KMIME_LIB_VERSION "6.5.90")
+set(MESSAGECOMPOSER_LIB_VERSION "6.5.90")
+set(KMBOX_LIB_VERSION "6.5.90")
+set(LIBKDEPIM_LIB_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
+set(KPIM_LIBKLEO_VERSION "6.5.90")
 
 
 ################# set KDE specific information #################

=== debian/changelog ===
merkuro (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:17:14 +0000

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicalendar-dev (>= 4:25.11.80~),
-               libakonadicontact-dev (>= 4:25.11.80~),
-               libakonadimime-dev (>= 4:25.11.80~),
-               libakonadisearch-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicalendar-dev (>= 4:25.11.90~),
+               libakonadicontact-dev (>= 4:25.11.90~),
+               libakonadimime-dev (>= 4:25.11.90~),
+               libakonadisearch-dev (>= 4:25.11.90~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:25.11.80~),
-               libkdepim-dev (>= 4:25.11.80~),
+               libkcalendarutils-dev (>= 4:25.11.90~),
+               libkdepim-dev (>= 4:25.11.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -35,17 +35,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.80~),
+               libkidentitymanagement-dev (>= 25.11.90~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.11.80~),
-               libkmailtransport-dev (>= 25.11.80~),
-               libkmbox-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
-               libmailcommon-dev (>= 4:25.11.80~),
-               libmimetreeparser-dev (>= 25.11.80~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libkleo-dev (>= 4:25.11.90~),
+               libkmailtransport-dev (>= 25.11.90~),
+               libkmbox-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
+               libmailcommon-dev (>= 4:25.11.90~),
+               libmimetreeparser-dev (>= 25.11.90~),
+               libpimcommon-dev (>= 4:25.11.90~),
                libplasma-dev,
-               messagelib-dev (>= 4:25.11.80~),
+               messagelib-dev (>= 4:25.11.90~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),

## merkuro 25.12.0

=== debian/changelog ===
merkuro (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:37:20 +0000

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicalendar-dev (>= 4:25.11.90~),
-               libakonadicontact-dev (>= 4:25.11.90~),
-               libakonadimime-dev (>= 4:25.11.90~),
-               libakonadisearch-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicalendar-dev (>= 4:25.12.0~),
+               libakonadicontact-dev (>= 4:25.12.0~),
+               libakonadimime-dev (>= 4:25.12.0~),
+               libakonadisearch-dev (>= 4:25.12.0~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:25.11.90~),
-               libkdepim-dev (>= 4:25.11.90~),
+               libkcalendarutils-dev (>= 4:25.12.0~),
+               libkdepim-dev (>= 4:25.12.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -35,17 +35,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.90~),
+               libkidentitymanagement-dev (>= 25.12.0~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.11.90~),
-               libkmailtransport-dev (>= 25.11.90~),
-               libkmbox-dev (>= 25.11.90~),
-               libkmime-dev (>= 25.11.90~),
-               libmailcommon-dev (>= 4:25.11.90~),
-               libmimetreeparser-dev (>= 25.11.90~),
-               libpimcommon-dev (>= 4:25.11.90~),
+               libkleo-dev (>= 4:25.12.0~),
+               libkmailtransport-dev (>= 25.12.0~),
+               libkmbox-dev (>= 25.12.0~),
+               libkmime-dev (>= 25.12.0~),
+               libmailcommon-dev (>= 4:25.12.0~),
+               libmimetreeparser-dev (>= 25.12.0~),
+               libpimcommon-dev (>= 4:25.12.0~),
                libplasma-dev,
-               messagelib-dev (>= 4:25.11.90~),
+               messagelib-dev (>= 4:25.12.0~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),

## merkuro 25.12.0+p24.04+vunstable+git20251209.2209

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,34 +5,34 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(merkuro VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_REQUIRED_VERSION "6.8.0")
-set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.20.0")
 
-set(AKONADI_CONTACT_VERSION "6.5.90")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
-set(MAILTRANSPORT_LIB_VERSION "6.5.90")
-set(CALENDARUTILS_LIB_VERSION "6.5.90")
-set(AKONADICALENDAR_LIB_VERSION "6.5.90")
-set(AKONADISEARCH_LIB_VERSION "6.5.90")
-set(KMIME_LIB_VERSION "6.5.90")
-set(AKONADI_LIB_VERSION "6.5.90")
-set(MIMETREEPARSER_LIB_VERSION "6.5.90")
-set(MAILCOMMON_LIB_VERSION "6.5.90")
-set(AKONADIMIME_LIB_VERSION "6.5.90")
-set(AKONADICONTACT_LIB_VERSION "6.5.90")
-set(KMIME_LIB_VERSION "6.5.90")
-set(MESSAGECOMPOSER_LIB_VERSION "6.5.90")
-set(KMBOX_LIB_VERSION "6.5.90")
-set(LIBKDEPIM_LIB_VERSION "6.5.90")
-set(PIMCOMMON_LIB_VERSION "6.5.90")
-set(KPIM_LIBKLEO_VERSION "6.5.90")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(MAILTRANSPORT_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(AKONADISEARCH_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(AKONADI_LIB_VERSION "6.6.40")
+set(MIMETREEPARSER_LIB_VERSION "6.6.40")
+set(MAILCOMMON_LIB_VERSION "6.6.40")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(AKONADICONTACT_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(MESSAGECOMPOSER_LIB_VERSION "6.6.40")
+set(KMBOX_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(KPIM_LIBKLEO_VERSION "6.6.40")
 
 
 ################# set KDE specific information #################
@@ -45,9 +45,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
 )
 
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -160,7 +158,7 @@
 ki18n_install(po)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 add_definitions(-DQT_STRICT_ITERATORS)
 add_subdirectory(src)
 add_subdirectory(icons)

=== debian/changelog ===
merkuro (25.12.0+p24.04+vunstable+git20251209.2209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 22:09:56 +0000

merkuro (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:47 +1000
